﻿@using Portal.Models.DCLAndon;
@using System.Web.UI.WebControls
@using Portal.Controllers
@model Toyota.Common.Web.MVC.ModelHolder

@{Layout = "~/Views/Layout/Dashboard.cshtml";}

<script type="text/javascript">
    function btnGo_Click(s, e) {
        if (validateCheck()) {
            var DockCode = txtDockCode.GetText();
            var Station = seStation.GetValue();

            txtDockCode.SetText('');
            seStation.SetValue('');
            window.open('http://10.16.25.81:81/ANDONWEB/Home?Dock=' + DockCode + '&Station=' + Station, '_blank');
        } else {
            alert('Dock and station cannot be empty.');
        }
    }

    function validateCheck() {

        if ((txtDockCode.GetText() != '') && (seStation.GetText() != ''))
            return true;

        return false;
    }
</script>

<table width="100%" style="margin-top: 10%;">
    <tr>
        <td align="center" style="width: 100%; font-size: 14pt; font-weight: bold;">
            IPPCS <br />
            TRUCK MONITORING SYSTEM
        </td>
    </tr>
    <tr>
        <td align="center">
            <div style="border:1px solid  #4f93e3; background-color:#DEECFD; width: 300px; height: 110px;">
                <table style="margin-top: 15px;">
                    <tr>
                        <td style="width: 120px;">Dock Code</td>
                        <td>
                            @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "txtDockCode";
                                    settings.Text = "";
                                    settings.Width = Unit.Pixel(150);
                                    settings.Properties.MaxLength = 2;
                                    settings.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                }
                            ).GetHtml()
                        </td>
                    </tr>
                    <tr>
                        <td>Station</td>
                        <td>
                            @Html.DevExpress().SpinEdit(
                                setting =>
                                {
                                    setting.Name = "seStation";
                                    setting.Width = Unit.Pixel(150);
                                    setting.Properties.SpinButtons.Visible = false;
                                    setting.Properties.SpinButtons.ShowIncrementButtons = false;
                                    setting.Properties.SpinButtons.ShowLargeIncrementButtons = false;
                                    setting.Properties.MaxValue = 99;
                                    setting.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                }
                            ).GetHtml()
                        </td>
                    </tr>
                    <tr>
                        <td align="right" colspan="2">
                            @Html.DevExpress().Button(
                                setting =>
                                {
                                    setting.Name = "btnGo";
                                    setting.Text = "Go";
                                    setting.Width = 30;
                                    setting.UseSubmitBehavior = true;
                                    setting.ClientSideEvents.Click = "btnGo_Click";
                                }
                            ).GetHtml()
                        </td>
                    </tr>
                </table>
            </div>
        </td>
    </tr>
</table>